#!/bin/sh

. /lib/config/uci.sh
. /etc/functions.sh

lan_ifname="br-lan"
wifi_ifname="ra0"

lan_devs="eth0.0"
wan_ifname="eth0.1"
wan_auto=0

load_config() {
    echo "load_config"
}

config_firewall() {
    uci_set "test" "lan" "masq" "1"
}

config_network() {
    echo "network"
}

config_dhcp() {
    echo "dhcp"
}

config_wireless() {
    echo "wireless"
}

load_config

case "$1" in
        network) config_network $lan_ifname;;
        wireless) config_wireless;;
        dhcp) config_dhcp;;
        firewall) config_firewall;;
        *) true;;
esac
